import StandardEditor from './standard';
import StringEditor from './string';
import Decimal128Editor from './decimal128';
import Int32Editor from './int32';
import Int64Editor from './int64';
import DoubleEditor from './double';
import DateEditor from './date';
import NullEditor from './null';
import UndefinedEditor from './undefined';
import ObjectIdEditor from './objectid';
import type Element from '../element';
declare const _default: ((element: Element) => {
    Standard: StandardEditor;
    String: StringEditor;
    Decimal128: Decimal128Editor;
    Date: DateEditor;
    Double: DoubleEditor;
    Int32: Int32Editor;
    Int64: Int64Editor;
    Null: NullEditor;
    Undefined: UndefinedEditor;
    ObjectId: ObjectIdEditor;
}) & {
    DateEditor: typeof DateEditor;
    StandardEditor: typeof StandardEditor;
    StringEditor: typeof StringEditor;
    Decimal128Editor: typeof Decimal128Editor;
    DoubleEditor: typeof DoubleEditor;
    Int32Editor: typeof Int32Editor;
    Int64Editor: typeof Int64Editor;
    NullEditor: typeof NullEditor;
    UndefinedEditor: typeof UndefinedEditor;
    ObjectIdEditor: typeof ObjectIdEditor;
};
export default _default;
export type Editor = DateEditor | StandardEditor | StringEditor | Decimal128Editor | DoubleEditor | Int32Editor | Int64Editor | NullEditor | UndefinedEditor | ObjectIdEditor;
export { DateEditor, StandardEditor, StringEditor, Decimal128Editor, DoubleEditor, Int32Editor, Int64Editor, NullEditor, UndefinedEditor, ObjectIdEditor, };
//# sourceMappingURL=index.d.ts.map