"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hadron_type_checker_1 = __importDefault(require("hadron-type-checker"));
const element_events_1 = __importDefault(require("../element-events"));
const standard_1 = __importDefault(require("./standard"));
class Int64Editor extends standard_1.default {
    constructor(element) {
        super(element);
    }
    complete() {
        super.complete();
        if (this.element.isCurrentTypeValid()) {
            this.element.edit(hadron_type_checker_1.default.cast(this.element.currentValue, 'Int64'));
        }
    }
    edit(value) {
        try {
            hadron_type_checker_1.default.cast(value, 'Int64');
            this.element.currentValue = value;
            this.element.setValid();
            this.element._bubbleUp(element_events_1.default.Edited, this.element);
        }
        catch (error) {
            this.element.setInvalid(value, this.element.currentType, error.message);
        }
    }
}
exports.default = Int64Editor;
//# sourceMappingURL=int64.js.map